当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-13 18:10 

注册: 2008-12-08 23:00
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
如题,做了如下测试,请过目。
import java.util.*;
public class Test {
public static void main(String[] args) {
Scanner input = new Scanner (System.in);
System.out.print("请输入: ");
String a = input.next();
System.out.print(a);
}
}

就是这几行代码,无法通过编译,提示如下:
Exception in thread "main" java.lang.Error: Unresolved compilation problems:
Scanner cannot be resolved to a type
Scanner cannot be resolved to a type

不知道是哪里出错了,开始以为是少了jdk,在新立德里找到了jdk6,安装后,结果还是一样,实在是没有办法了,到社区求助,麻烦各位帮忙分析一下吧。。。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-13 18:18 

注册: 2008-12-08 23:00
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
:em20 :em20 :em20


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-13 18:23 

注册: 2008-12-08 23:00
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
谁帮帮我。。。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-13 18:26 
头像

注册: 2008-07-21 9:44
帖子: 2371
地址: 深圳
送出感谢: 0 次
接收感谢: 0 次
bdpaylm 写道:
如题,做了如下测试,请过目。
import java.util.*;
public class Test {
public static void main(String[] args) {
Scanner input = new Scanner (System.in);
System.out.print("请输入: ");
String a = input.next();
System.out.print(a);
}
}

就是这几行代码,无法通过编译,提示如下:
Exception in thread "main" java.lang.Error: Unresolved compilation problems:
Scanner cannot be resolved to a type
Scanner cannot be resolved to a type

不知道是哪里出错了,开始以为是少了jdk,在新立德里找到了jdk6,安装后,结果还是一样,实在是没有办法了,到社区求助,麻烦各位帮忙分析一下吧。。。


在创建项目时要配置一下JRE环境,因为eclipse默认的jre貌似不是jre6。


附件:
Screenshot .png
Screenshot .png [ 25.27 KiB | 被浏览 137 次 ]

页首
 用户资料  
 
5 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-13 18:39 

注册: 2008-12-08 23:00
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
我的jre是1.5版本的,正在想办法更新一下,另外,弱弱的问一句,楼上的老兄,eclipse怎么汉化的?


页首
 用户资料  
 
6 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-13 18:56 

注册: 2008-12-08 23:00
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
还是不行~~晕了


页首
 用户资料  
 
7 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-13 21:36 
头像

注册: 2008-07-21 9:44
帖子: 2371
地址: 深圳
送出感谢: 0 次
接收感谢: 0 次
我的汉化是根据这个帖子的http://forum.ubuntu.org.cn/viewtopic.php?f=70&t=148228
也许你的java配置环境还没有配好吧,你可以把jre1.5(5.0)卸载掉,安装java6,然后再配置一下,可以参考wiki(好像是在快速配置指南的热点配置那里有说,自己找找看)。顺便说明一下我的eclipse是3.2版本的


页首
 用户资料  
 
8 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-14 15:50 

注册: 2008-04-07 21:27
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
用不着卸载jdk1.5, 选择window->preferences->Java->Installed JREs,点击add,选择你的JDK1.6目录,然后将1.6设置为默认JDK。当然你还得重设你的项目使用的JDK,因为你的项目在调整前已经使用的JDK1.5. 选中你的项目,右键菜单中选择preferences然后在build path和compile属性根据需要修改。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-14 16:22 

注册: 2008-12-08 23:00
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
7,8楼的正解,问题已经解决了.就是把jdk1.6添加进去,然后设为默认就不报错了,谢谢各位的热心


页首
 用户资料  
 
10 楼 
 文章标题 : Re: ubuntu下,eclipse的错误,帮忙分析一下
帖子发表于 : 2008-12-15 11:00 
头像

注册: 2008-07-21 9:44
帖子: 2371
地址: 深圳
送出感谢: 0 次
接收感谢: 0 次
kingzhuzh 写道:
用不着卸载jdk1.5, 选择window->preferences->Java->Installed JREs,点击add,选择你的JDK1.6目录,然后将1.6设置为默认JDK。当然你还得重设你的项目使用的JDK,因为你的项目在调整前已经使用的JDK1.5. 选中你的项目,右键菜单中选择preferences然后在build path和compile属性根据需要修改。

按理说用jdk1.5是不应该报错的了,当然jdk1.6比jdk1.5更为强大点。既然用jdk1.6了,那就把jdk1.5给干掉,释放点磁盘空间咯 :em09


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译